Name:       samplv1
Version:    0.9.29
Release:    %mkrel 1
Summary:    An old-school polyphonic sampler
License:    GPLv2+
Group:      Sound/Midi
URL:        https://samplv1.sourceforge.io/
Source0:    https://download.sourceforge.net/samplv1/%{name}-%{version}.tar.gz
Patch0:     samplv1-0.9.27-fix-libdir-path.patch

BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  libasan-devel

%description
%{name} is an old-school polyphonic sampler synthesizer
with stereo effects. This package provides the standalone application.

%files -f %{name}.lang
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}_jack
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/org.rncbc.%{name}.application-x-%{name}-*.svg
%{_mandir}/man1/%{name}*.1*

#--------------------------------------------------------------------

%define lv2name lv2-%{name}

%package -n %{lv2name}
Summary:        synthv1 sampler synthesizer LV2 plugin
Group:          Sound/Midi
Requires:       %{name} = %{version}

%description -n %{lv2name}
%{name} is an old-school polyphonic sampler synthesizer
with stereo effects. This package provides the LV2 plugin.

%files -n %{lv2name}
%{_libdir}/lv2/%{name}.lv2/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DCMAKE_BUILD_TYPE=Debug

%cmake_build

%install
%cmake_install

desktop-file-install \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --set-key=Exec --set-value="%{name}_jack" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%find_lang %{name} --with-man


%changelog
* Sat Jan 28 2023 daviddavid <daviddavid> 0.9.29-1.mga9
+ Revision: 1936581
- new version: 0.9.29

* Sat Dec 31 2022 daviddavid <daviddavid> 0.9.28-1.mga9
+ Revision: 1928368
- new version: 0.9.28

* Sun Dec 11 2022 daviddavid <daviddavid> 0.9.27-1.mga9
+ Revision: 1920775
- new version: 0.9.27
- switch to Qt6

* Sun Apr 03 2022 umeabot <umeabot> 0.9.22-2.mga9
+ Revision: 1842448
- Mageia 9 Mass Rebuild

* Wed May 19 2021 daviddavid <daviddavid> 0.9.22-1.mga9
+ Revision: 1725601
- new version: 0.9.22

* Tue Mar 23 2021 daviddavid <daviddavid> 0.9.21-1.mga9
+ Revision: 1708035
- new version: 0.9.21

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.20-1.mga9
+ Revision: 1690879
- new version: 0.9.20

* Tue Dec 22 2020 daviddavid <daviddavid> 0.9.19-1.mga8
+ Revision: 1662730
- new version: 0.9.19

* Thu Dec 17 2020 umeabot <umeabot> 0.9.18-2.mga8
+ Revision: 1659766
- Rebuild for new Qt5

* Tue Nov 03 2020 akien <akien> 0.9.18-1.mga8
+ Revision: 1642234
- Version 0.9.18

* Wed Sep 16 2020 daviddavid <daviddavid> 0.9.17-1.mga8
+ Revision: 1626934
- new version: 0.9.17

* Tue Aug 11 2020 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1613206
- new version: 0.9.16

* Tue Jun 30 2020 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1600591
- new version: 0.9.15

* Tue May 12 2020 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1583242
- new version: 0.9.14

* Sun Mar 29 2020 daviddavid <daviddavid> 0.9.13-1.mga8
+ Revision: 1562085
- new version: 0.9.13

* Thu Feb 20 2020 umeabot <umeabot> 0.9.12-2.mga8
+ Revision: 1546565
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 0.9.12-1.mga8
+ Revision: 1486760
- new version: 0.9.12
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 daviddavid <daviddavid> 0.9.11-1.mga8
+ Revision: 1461973
- new version: 0.9.11
- the former shared common core and UI package is now duplicated but
  statically linked though, so remove shared libraries

* Mon Oct 14 2019 daviddavid <daviddavid> 0.9.10-1.mga8
+ Revision: 1452993
- new version: 0.9.10

* Sun Jul 21 2019 daviddavid <daviddavid> 0.9.9-1.mga8
+ Revision: 1423297
- new version: 0.9.9

* Thu Jul 04 2019 daviddavid <daviddavid> 0.9.8-1.mga8
+ Revision: 1418255
- new version: 0.9.8

* Wed Apr 17 2019 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1391891
- new version: 0.9.7

* Fri Apr 12 2019 daviddavid <daviddavid> 0.9.6-1.mga7
+ Revision: 1389337
- new version: 0.9.6

* Mon Apr 01 2019 umeabot <umeabot> 0.9.5-2.mga7
+ Revision: 1384714
- Qt5 Rebuild

* Wed Mar 06 2019 daviddavid <daviddavid> 0.9.5-1.mga7
+ Revision: 1371947
- new version: 0.9.5

* Wed Feb 06 2019 daviddavid <daviddavid> 0.9.4-1.mga7
+ Revision: 1363656
- new version: 0.9.4

* Sat Nov 03 2018 daviddavid <daviddavid> 0.9.3-1.mga7
+ Revision: 1327908
- new version: 0.9.3

* Sat Aug 25 2018 daviddavid <daviddavid> 0.9.2-1.mga7
+ Revision: 1254381
- new version: 0.9.2

* Mon May 14 2018 akien <akien> 0.9.0-1.mga7
+ Revision: 1229476
- Version 0.9.0

* Sat Dec 30 2017 akien <akien> 0.8.6-1.mga7
+ Revision: 1187682
- Version 0.8.6

* Sat Aug 26 2017 akien <akien> 0.8.4-1.mga7
+ Revision: 1148016
- Version 0.8.4

* Sun Jun 25 2017 akien <akien> 0.8.3-1.mga6
+ Revision: 1108395
- Version 0.8.3

* Mon May 15 2017 animtim <animtim> 0.8.2-1.mga6
+ Revision: 1101806
- imported package samplv1

